## gsl-doc 2.6

=== debian/changelog ===
gsl-doc (2.6-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Change Build-Depends: from texlive-generic-recommended
    to texlive-plain-generic 				(Closes: #941531)

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Oct 2019 21:13:12 -0500

gsl-doc (2.3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

  * debian/compat: Increased to 9

  * debian/control: Update Suggests: to libgsl2

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 Mar 2017 06:16:49 -0600

gsl-doc (1.16-1) unstable; urgency=low

  * New upstream release of what is considered 'non-free' GSL documentation

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 21 Jul 2013 13:38:19 -0500

gsl-doc (1.15-1) unstable; urgency=low

  * New upstream release of what is considered 'non-free' GSL documentation

  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 07 May 2011 19:37:07 -0500

gsl-doc (1.14-1) unstable; urgency=low

  * New upstream release of what is considered 'non-free' GSL documentation

  * debian/control: Replace texlive-extra-utils with texlive-font-utils
    in Build-Depends: (with thanks to M Bienia)		(Closes: #572700)

  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 17 Mar 2010 19:57:46 -0500

gsl-doc (1.13-1) unstable; urgency=low

  * New upstream release of what is considered 'non-free' GSL documentation

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 09 Sep 2009 18:08:43 -0500

gsl-doc (1.12-1) unstable; urgency=low

  * New upstream release of what is considered 'non-free' GSL documentation

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 16 Dec 2008 06:48:21 -0600

gsl-doc (1.11-5) unstable; urgency=low

  * debian/rules: Turns out that we had gsl-doc-doc-{info,pdf} as 
    package variables given that the source package is now called gsl-doc.  
    Corrected, so that we now actually have files in the two packages.

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Aug 2008 18:24:30 -0500

gsl-doc (1.11-4) unstable; urgency=low

  * New source package name to distinguish this 'non-free' variant from
    the 'free' (in Debian's sense) version which gets 'dfsg' appended to
    the upstream version.  But we need one source name for non-free -- 
    which will now be gsl-doc -- and one for main where we continue with
    gsl.

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Aug 2008 22:44:39 -0500

gsl (1.11-3) unstable; urgency=low

  * New non-free release; dfsg-compliant companion has the other pieces.
    This is in response to a bug report about the GFDL making these parts
    assembled here 'non-free'.
  
  * debian/control: New package gsl-doc-info

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Aug 2008 20:46:40 -0500

gsl (1.11-2) unstable; urgency=low

  * debian/control: Add 'Conflicts: libgsl0' for libgsl0ldbl 
							(Closes: #477732)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 25 Apr 2008 06:39:27 -0500

gsl (1.11-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 01 Apr 2008 08:21:39 -0500

gsl (1.10-4) unstable; urgency=low

  * debian/control: GSL does not need libblas-dev as it packages its
    own libgslclbas; users can the choose at link time which Blas library 
    their gsl-using programs link against. Thanks to Mathias Klose for
    follow-ups on this.					(Closes: #462232)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Jan 2008 06:24:09 -0600

gsl (1.10-3) unstable; urgency=low

  * debian/control: Replace Build-Depends: on'refblas3-dev' with 
    'libblas-dev' to use the new gfortran-built BLAS libraries. Thanks 
    to Colin Tuckley for the heads-up.			(Closes: #462232)

  * debian/control: Update Standards-Version: to current value.
  * debian/control: Added Homepage: field to contain URL [lintian]

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 23 Jan 2008 06:36:59 -0600

gsl (1.10-2) unstable; urgency=low

  * debian/control: Correct Build-Depends-Indep to have tetex and texlive
    as alternatives 					(Closes: #444388)

  * debian/watch: Changed source location to ftp.gnu.org (Closes: #449687)
  
  * debian/copyright: Update reference to GPL-3		(Closes: #450637)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Nov 2007 19:01:22 -0600

gsl (1.10-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 14 Sep 2007 16:29:39 -0500

gsl (1.9.90-2) unstable; urgency=low

  * debian/rules: Set optimisation to '-O2' on Alpha to avoid a compiler
    error that occurs with '-O3'. Thanks to Falk Hueffner for debugging.

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 12 Sep 2007 15:21:22 -0500

gsl (1.9.90-1) unstable; urgency=low

  * Upgraded to first public upstream test release for 1.10
  * New upstream version improves multimin documentation (Closes: #438404)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Sep 2007 17:05:13 -0500

gsl (1.9-5) unstable; urgency=low

  * Correct a snafu introduced with the 'ldbl' transition packages from
    Debian revision 1.9-4				(Closes: #432730)	
  * debian/rules: Correct value for $(devpkg) now that $(libpkg) has 'ldbl'
  * debian/rules: Switch from dh_movefiles to using dh_install 
  * debian/libgsl0-dev.install: Added usr/share/man/man3/gsl.3 and
    usr/share/aclocal/
  * debian/libgsl0ldbl.install: Newly created
  * debian/control: Updated 'Replaces: libgsl0' for libgsl0-dev to
    '(<= 1.9-4)'; added 'Replaces: libgsl0 (<= 1.9-4)' for libgsl0ldbl
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Jul 2007 15:12:17 -0500

gsl (1.9-4) unstable; urgency=low

  * debian/control: Rename library package to libgsl0ldbl for the 'long

