=== debian/control ===
Source: gsl-doc
Section: non-free/math
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.4.0
Build-Depends: debhelper (>= 7.2.17), autotools-dev
Build-Depends-Indep: texlive-base, texlive-latex-base, texlive-plain-generic, texlive-font-utils, texinfo, ghostscript, ps2eps, python3-sphinx, python3-sphinx-rtd-theme, latexmk, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
Homepage: http://www.gnu.org/software/gsl

Package: gsl-doc-pdf
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libgsl2, gv | pdf-viewer 
Description: GNU Scientific Library (GSL) Reference Manual in pdf
 This package provides a pdf file with the reference manual for the
 GNU Scientific Library (GSL), a collection of routines for numerical 
 analysis.  
 .
 The reference manual is also available in postscript and html formats
 in the packages gsl-ref-psdoc and gsl-ref-html, respectively.

Package: gsl-doc-info
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Suggests: libgsl0ldbl, info | info-browser
Replaces: libgsl0-dev (<= 1.11-2)
Description: GNU Scientific Library (GSL) Reference Manual in info
 This package provides info files with the reference manual for the
 GNU Scientific Library (GSL), a collection of routines for numerical 
 analysis.  
 .
 The reference manual is also available in postscript and html formats
 in the packages gsl-ref-psdoc and gsl-ref-html, respectively.
