=== debian/watch ===
version=3
ftp://ftp.gnu.org/gnu/gsl/gsl-([-0-9\.]*).tar.gz
