## gsl-doc 2.7.1

=== debian/changelog ===
gsl-doc (2.7.1-1) unstable; urgency=medium

  * New upstream release				(Closes: #1003540)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 12 Jan 2022 20:00:40 -0600

gsl-doc (2.6-2) unstable; urgency=medium

  * debian/control: Add Build-Depends: on tex-gyre	(Closes: #998230)
  
  * debian/control: Switch to debhelper-compat (= 11)
  * debian/compat: Removed
  * debian/rules: Modified

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 01 Nov 2021 06:54:38 -0500
