=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: non-free/math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 7.2.17), autotools-dev
-Build-Depends-Indep: texlive-base, texlive-latex-base, texlive-plain-generic, texlive-font-utils, texinfo, ghostscript, ps2eps, python3-sphinx, python3-sphinx-rtd-theme, latexmk, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 11), autotools-dev
+Build-Depends-Indep: texlive-base, texlive-latex-base, texlive-plain-generic, texlive-font-utils, texinfo, ghostscript, ps2eps, python3-sphinx, python3-sphinx-rtd-theme, latexmk, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, tex-gyre
 Homepage: http://www.gnu.org/software/gsl
 
 Package: gsl-doc-pdf
