=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #export DH_VERBOSE=1
 
 ## needed for texi2pdf / tetex as document has larger-than-normal indices
-export pool_size=2500000
+#export pool_size=2500000
 
 upstream: get-orig-source
 get-orig-source:
